<?php
$est = new Estacionamiento();
$cliente = $est->cliente($_GET['id'][0],$_SESSION['usuario']['estacionamiento']);
if(!empty($cliente)){
	?>
	<table class="twelve">
		<thead>
			<tr>
				<th>Cliente</th>
				<th style="width:170px;">Fecha</th>
				<th style="width:85px;">Patente</th>
				<th style="width:145px;">Carroceria</th>
				<th style="width:170px;">F. entrada</th>
				<th style="width:170px;">F. salida</th>
				<th style="width:80px;">Valor a cancelar</th>
				<th style="width:80px;">Valor cancelado</th>
				<?php echo ($cliente['monto']!=$cliente['pagado'] || $cliente['f_entrada']!='-' && $cliente['f_salida']=='-')?'<th></th>':''; ?>
			</tr>
		</thead>
		<tbody>
			<?php
			echo '<tr>';
			echo '<td>'.$cliente['cliente'].'</td>';
			echo '<td>'.$cliente['fecha'].'</td>';
			echo '<td>'.$cliente['patente'].'</td>';
			echo '<td>'.$cliente['carroceria'].'</td>';
			echo '<td>'.$cliente['f_entrada'].'</td>';
			echo '<td>'.$cliente['f_salida'].'</td>';
			echo '<td>'.$cliente['monto'].'</td>';
			echo '<td>'.$cliente['pagado'].'</td>';
			if($cliente['monto']!=$cliente['pagado'] || $cliente['f_entrada']!='-' && $cliente['f_salida']=='-'){
				echo '<td>';
				if($cliente['f_entrada']!='-' && $cliente['f_salida']=='-')
					echo '<a href="{BASE}clientes/'.$_GET['id'][0].'/salida"><span class="has-tip tip-top" data-width="100" title="Registrar salida"><i class="foundicon-checkmark"></i></span></a>&nbsp;';
				if($cliente['monto']!=$cliente['pagado'])
					echo '<a href="{BASE}clientes/'.$_GET['id'][0].'/pagar"><span class="has-tip tip-top" data-width="85" title="Pagar deuda"><i class="foundicon-cart"></i></span></a>';
				echo '</td>';
			}
			echo '</tr>';
			?>
		</tbody>
	</table>
	<?php
	if(!empty($cliente['observacion'])){
		?>
		<div class="row">
			<div class="alert-box seven column centered">
				Observaci&oacute;n: <?php echo $cliente['observacion']; ?>
			</div>
		</div>
		<br>
		<?php
	}
	?>
	<div class="right">
		<a href="{BASE}clientes/<?php echo $_GET['id'][0]; ?>/servicio/nuevo"><span class="has-tip tip-top" data-width="45" title="Nuevo"><i class="foundicon-add-doc"></i></span></a>
		&nbsp;
		<a href="{BASE}clientes/<?php echo $_GET['id'][0]; ?>"><span class="has-tip tip-top" data-width="70" title="Refrescar"><i class="foundicon-refresh"></i></span></a>
	</div>
	<?php
	$servicios = $est->serviciosCliente($_GET['id'][0],$_SESSION['usuario']['estacionamiento']);
	if($servicios):
		?>
		<table class="twelve">
			<thead>
				<tr>
					<th>Servicio</th>
					<th style="width:200px;">Valor</th>
					<th style="width:170px;">Fecha</th>
					<th style="width:40px;"></th>
				</tr>
			</thead>
			<tbody>
				<?php
				foreach($servicios as $servicio){
					echo '<tr>';
					echo '<td>'.$servicio['servicio'].'</td>';
					echo '<td>'.$servicio['valor'].'</td>';
					echo '<td>'.$servicio['fecha'].'</td>';
					echo '<td>
							<a href="{BASE}clientes/'.$_GET['id'][0].'/servicio/'.$servicio['id'].'/eliminar"><span class="has-tip tip-top" data-width="55" title="Eliminar"><i class="foundicon-trash"></i></span></a>
							</td>';
					echo '</tr>';
				}
				?>
			</tbody>
		</table>
	<?php
	else:
		?>
		<div class="row">
			<div class="alert-box secondary seven column centered">
				El cliente seleccionado no registra ning&uacute;n servicio adicional utilizado.
			</div>
		</div>
		<?php
	endif;
}else{
	?>
	<div class="row">
		<div class="alert-box alert seven column centered">
			El cliente seleccionado no existe.
		</div>
	</div>
	<?php
}
?>